Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Interface GraphLabelRenderer

All Known Implementing Classes:
  DefaultGraphLabelRenderer

public interface GraphLabelRenderer

Author:
  Tom Nelson - RABA Technologies

Method Summary
`Component` | `getGraphLabelRendererComponent(JComponent vv, Object value, Font font, boolean isSelected, Edge edge)` Returns the component used for drawing the label.
`Component` | `getGraphLabelRendererComponent(JComponent vv, Object value, Font font, boolean isSelected, Vertex vertex)` Returns the component used for drawing the label.
`boolean` | `isRotateEdgeLabels()`
`void` | `setRotateEdgeLabels(boolean state)`

Method Detail

### getGraphLabelRendererComponent

    public Component getGraphLabelRendererComponent(JComponent vv,
                                                    Object value,
                                                    Font font,
                                                    boolean isSelected,
                                                    Vertex vertex)

  Returns the component used for drawing the label. This method is used to configure the renderer appropriately before drawing.

  Parameters:
    `vv` - the `VisualizationViewer` that is asking the renderer to draw; can be `null`
    `value` - the value of the cell to be rendered. It is up to the specific renderer to interpret and draw the value. For example, if `value` is the string "true", it could be rendered as a string or it could be rendered as a check box that is checked. `null` is a valid value
    `vertex` - the vertex for the label being drawn.

### getGraphLabelRendererComponent

    public Component getGraphLabelRendererComponent(JComponent vv,
                                                    Object value,
                                                    Font font,
                                                    boolean isSelected,
                                                    Edge edge)

  Returns the component used for drawing the label. This method is used to configure the renderer appropriately before drawing.

  Parameters:
    `vv` - the `VisualizationViewer` that is asking the renderer to draw; can be `null`
    `value` - the value of the cell to be rendered. It is up to the specific renderer to interpret and draw the value. For example, if `value` is the string "true", it could be rendered as a string or it could be rendered as a check box that is checked. `null` is a valid value
    `edge` - the edgefor the label being drawn.

### isRotateEdgeLabels

    public boolean isRotateEdgeLabels()

### setRotateEdgeLabels

    public void setRotateEdgeLabels(boolean state)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD